# In case of update this package, update also hyphen-sr, it's the same source

%define languageenglazy Serbian
%define languagecode    sr
%define lc_ctype        sr_RS

%define upstream_version 20100920

Name:           hunspell-%{languagecode}
Version:        0.%{upstream_version}.1
Release:        %mkrel 9
Summary:        %{languageenglazy} hunspell dictionaries
License:        LGPLv2+
Group:          System/Internationalization
URL:            http://extensions.services.openoffice.org/project/dict-sr
Source0:        http://extensions.services.openoffice.org/e-files/1572/6/dict-sr.oxt

BuildArch:      noarch

Suggests:       hunspell

Requires:       locales-sr
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
Provides:       hunspell-sr_ME = %{version}-%{release}
Provides:       hunspell-sh_RS = %{version}-%{release}
Provides:       hunspell-sh_ME = %{version}-%{release}
Provides:       hunspell-bs_BA = %{version}-%{release}
Provides:       hunspell-bs = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2
Provides:       dictionary-sr_ME = 2
Provides:       dictionary-sh_RS = 2
Provides:       dictionary-sh_ME = 2
Provides:       dictionary-bs_BA = 2
Provides:       dictionary-bs = 2

#MySpell is deprecated
# seems there is nothing to obsolete
#Obsoletes:      myspell-%{languagecode} <= 1.0.2-30
#Provides:       myspell-%{languagecode}
#Obsoletes:      myspell-%{lc_ctype} <= 1.0.2-30
#Provides:       myspell-%{lc_ctype}

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -c

%build

%install
install -D -m 0644 -p sr.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p sr.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

install -D -m 0644 -p sr-Latn.dic %{buildroot}%{_datadir}/hunspell/sh_RS.dic
install -D -m 0644 -p sr-Latn.aff %{buildroot}%{_datadir}/hunspell/sh_RS.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff

    ln -s ../hunspell/sh_RS.dic sh_RS.dic
    ln -s ../hunspell/sh_RS.aff sh_RS.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc registration/license*.txt
%{_datadir}/hunspell/*
%{_datadir}/myspell/*


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.20100920.1-9.mga4
+ Revision: 521300
- Mageia 4 Mass Rebuild

* Sun Jan 20 2013 kamil <kamil> 0.20100920.1-8.mga3
+ Revision: 390071
- stop installing language aliases

* Sat Jan 12 2013 umeabot <umeabot> 0.20100920.1-7.mga3
+ Revision: 353726
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Mar 20 2012 kamil <kamil> 0.20100920.1-6.mga2
+ Revision: 224847
- add requirement on locales (mga#4632)
- adapt .spec to the current policies
- remove hyphen part from the .spec (the excluded part is now in hyphen-sr)

* Thu Mar 24 2011 ahmad <ahmad> 0.20100920.1-3.mga1
+ Revision: 77015
- fix hyphen- Group

* Sat Mar 12 2011 dmorgan <dmorgan> 0.20100920.1-2.mga1
+ Revision: 69109
- imported package hunspell-sr


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20100920-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Sep 21 2010 Caolán McNamara <caolanm@redhat.com> - 0.20100920-1
- latest version

* Thu Aug 19 2010 Caolán McNamara <caolanm@redhat.com> - 0.20100818-1
- latest version

* Thu Jul 08 2010 Caolán McNamara <caolanm@redhat.com> - 0.20090511-4
- include licences in all subpackages

* Tue Jan 05 2010 Caolán McNamara <caolanm@redhat.com> - 0.20090511-3
- fix rpmlint warning

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20090511-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue May 11 2009 Caolán McNamara <caolanm@redhat.com> - 0.20090511-1
- latest version

* Tue May 05 2009 Caolán McNamara <caolanm@redhat.com> - 0.20090213-1
- latest version

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20080711-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Jul 11 2008 Caolán McNamara <caolanm@redhat.com> - 0.20080711-1
- initial version
